<script setup>
// TODO: remove current directory in choices
import { Icon } from '@iconify/vue'
import { storeToRefs } from 'pinia'
import { useBlocStore } from '@/store/bloc'

const prop = defineProps({
  bid: {
    type: String,
    required: true
  }
})

const emit = defineEmits([
  'event-confirm'
])

const { currentBlocMap } = storeToRefs(useBlocStore())
const blocStore = useBlocStore()

const handleMove = (targetDirectory) => {
  blocStore.move(prop.bid, targetDirectory)
  emit('event-confirm')
}
</script>

<template>
  <div class="file-modal-content-move">
    <p class="file-modal-content-move__current-bloc">
      <strong>Filename </strong>{{ currentBlocMap[bid].name }}<strong> to :</strong>
    </p>
    <div v-for="directory in blocStore.directories" :key="directory.id" v-show="directory.id !== bid" class="button-base button-category directory-button" @click="handleMove(directory.id)">
      <div class="directory-button__left">
        <img src="@/asset/img/icon/file-directory.svg" alt="Directory">
        {{ directory.name }}
      </div>
      <Icon icon="mdi:arrow-right-top" width="16px" height="16px" />
    </div>
  </div>
</template>

<style lang="scss" scoped>
  .file-modal-content-move {
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 6px 1rem;
    color: $complementary-white;
    &__actions {
      display: flex;
      align-items: center;
      flex-direction: row-reverse;
    }
    &__current-bloc {
      color: $complementary-white;
      word-spacing: 2px;
      > strong {
        color: $complementary-white-50;
      }
    }
  }
  .directory-button {
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
    &__left {
      display: flex;
      align-items: center;
      gap: 8px;
    }
  }
</style>
